<template lang="pug">
component.menu-item( :is='href ? "a" : "router-link"' :class='responsive ? "responsive is-flex is-align-items-center is-jutify-conten-flex-start" : ""' :to='to' v-bind='bind' )
	.icon.img( v-if='responsive && (isPhone || isTablet)' )
		angle-right
	slot
</template>

<script>
export default {
	components: {
		AngleRight: () => import("svg/angle_right.svg")
	},
	props: {
		to: {
			type: Object,
			default: () => ({ name: "Homepage" })
		},
		href: {
			type: String,
			default: ""
		},
		responsive: Boolean
	},
	computed: {
		bind() {
			if (this.href)
				return {
					href: this.href,
					target: "_blank"
				}
		
			return {}
		}
	}
}
</script>

<style lang="scss" scoped>
.menu-item {
	font-size: .8125rem;
	line-height: .8125rem;
	font-weight: 600;
	color: $grey-light;
	position: relative;
	&::before {
		content: "";
		display: block;
		height: 2px;
		width: 0%;
		background: $primary;
		position: absolute;
		top: calc(100% + .5rem);
		left: 0;
		transition: width .2s ease-in-out;
	}
	&.router-link-exact-active,
	&:hover {
		color: #fff;
	}
	&.router-link-exact-active {
		&::before {
			width: 52%;
		}
	}
	@include max_tablet {
		&::before {
			display: none;
		}
		&.responsive {
			width: 100%;
			margin: 0;
			padding: 1rem 1.25rem;
			transition: all .3s ease-in-out;
			.img {
				width: .5rem;
				margin-right: 1rem;
			}
			&.router-link-exact-active {
				color: #000;
				padding-left: 2rem;
				background: $primary;
				.icon {
					svg::v-deep {
						path {
							fill: #000;
						}
					}
				}
			}
		}
	}
}
</style>